<!DOCTYPE HTML>
<html>
    <head>
        <title>Activity: CSS Introduction</title>
    </head>

    <link rel="stylesheet" type="text/css" href="./index.css">

    <style type="text/css">

    /* 3. Apply an internal styling to a paragraph tag */
        #internal-styling {
            color: orange;
        }
    </style>

    <body>

        <!-- Different ways to include CSS -->
        <p style="color: red;">Apply inline styling here.</p>
        <p id="internal-styling">Apply internal styling here.</p>
        <p id="external-styling">Apply external styling here.</p>

        <!-- CSS Selectors -->
        <h1>CSS Introduction Activity</h1>

        <h2 id="uppercase-letters">The following are things you will learn in this bootcamp:</h2>

        <h3>Languages to be Learned</h3>
        <ol>
            <li class="color-change">Hypertext Markup Language</li>
            <li class="color-change">Cascading Style Sheet</li>
            <li class="color-change">JavaScript</li>
        </ol>

        <h3>Tools to be Used</h3>
        <ol>
            <li title="tools-used">Sublime Text</li>
            <li title="tools-used">Postman</li>
            <li title="tools-used">Heroku</li>
            <li title="tools-used">GitLab</li>
        </ol>

        <!-- Combinator Selectors -->
        <section id="dimension-change">
            <h4>Other Things to be Learned</h4>
            <img src="https://upload.wikimedia.org/wikipedia/commons/thumb/9/99/Unofficial_JavaScript_logo_2.svg/480px-Unofficial_JavaScript_logo_2.svg.png" id="image">
            <ul>
                <li>Node.js</li>
                <li>Express.js</li>
                <li>React.js</li>
                <li>MongoDB</li>
            </ul>
            <p>Web development is a continuous process. Never stop learning and always look for ways to innovate.</p>
        </section>

    </body>
</html>
